import { defineStore, createPinia } from 'pinia'
import { GlobalState } from './interface/index'
export const GlobalStore = defineStore({
  id: 'GlobalState',
  state: (): GlobalState => ({
    loading: false,
    User_tokey: localStorage.getItem('User_tokey') || ''
  }),
  getters: {
    GET_User_tokey: state => state.User_tokey
  },
  actions: {
    SET_User_Tokey(payload: string) {
      if (typeof payload === 'string') {
        this.User_tokey = payload
      }
    }
  }
})

const pinia = createPinia()

export default pinia
